com.avaya.deskphoneservices

## Enum ServiceReasonCode

- java.lang.Object
- - java.lang.Enum<ServiceReasonCode>
  - - com.avaya.deskphoneservices.ServiceReasonCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ServiceReasonCode>

      public enum ServiceReasonCode
      extends java.lang.Enum<ServiceReasonCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHENTICATION_ERROR`
    `CONNECTION_ERROR`
    `DOMAIN_ERROR`
    `GENERAL_ERROR`
    `INVALID_SERVER_IDENTITY`
    `INVALID_SIP_DOMAIN`
    `INVALID_STATE_ERROR`
    `MAX_REGISTRATIONS_EXCEEDED_ERROR`
    `REDIRECTED_ERROR`
    `SERVER_CERTIFICATE_CHAIN_REVOKED`
    `SERVER_CONFIGURATION_DATA_NOT_AVAILABLE`
    `SERVER_ENDED_ERROR`
    `SERVER_ERROR`
    `SERVER_UNTRUSTED_ERROR`
    `SSL_FATAL_ALERT`
    `SUBSCRIPTION_ERROR`
    `UNDEFINED`
    `UNRECOGNIZED_SERVER_NAME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceReasonCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServiceReasonCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final ServiceReasonCode UNDEFINED

    - #### AUTHENTICATION_ERROR

          public static final ServiceReasonCode AUTHENTICATION_ERROR

    - #### DOMAIN_ERROR

          public static final ServiceReasonCode DOMAIN_ERROR

    - #### CONNECTION_ERROR

          public static final ServiceReasonCode CONNECTION_ERROR

    - #### SERVER_UNTRUSTED_ERROR

          public static final ServiceReasonCode SERVER_UNTRUSTED_ERROR

    - #### INVALID_STATE_ERROR

          public static final ServiceReasonCode INVALID_STATE_ERROR

    - #### SERVER_ERROR

          public static final ServiceReasonCode SERVER_ERROR

    - #### SERVER_ENDED_ERROR

          public static final ServiceReasonCode SERVER_ENDED_ERROR

    - #### SUBSCRIPTION_ERROR

          public static final ServiceReasonCode SUBSCRIPTION_ERROR

    - #### MAX_REGISTRATIONS_EXCEEDED_ERROR

          public static final ServiceReasonCode MAX_REGISTRATIONS_EXCEEDED_ERROR

    - #### REDIRECTED_ERROR

          public static final ServiceReasonCode REDIRECTED_ERROR

    - #### GENERAL_ERROR

          public static final ServiceReasonCode GENERAL_ERROR

    - #### UNRECOGNIZED_SERVER_NAME

          public static final ServiceReasonCode UNRECOGNIZED_SERVER_NAME

    - #### SSL_FATAL_ALERT

          public static final ServiceReasonCode SSL_FATAL_ALERT

    - #### INVALID_SERVER_IDENTITY

          public static final ServiceReasonCode INVALID_SERVER_IDENTITY

    - #### INVALID_SIP_DOMAIN

          public static final ServiceReasonCode INVALID_SIP_DOMAIN

    - #### SERVER_CERTIFICATE_CHAIN_REVOKED

          public static final ServiceReasonCode SERVER_CERTIFICATE_CHAIN_REVOKED

    - #### SERVER_CONFIGURATION_DATA_NOT_AVAILABLE

          public static final ServiceReasonCode SERVER_CONFIGURATION_DATA_NOT_AVAILABLE

  - ### Method Detail

    - #### values

          public static ServiceReasonCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServiceReasonCode c : ServiceReasonCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServiceReasonCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null